=== debian/changelog ===
altos (1.2.1-3) unstable; urgency=low

  [ Keith Packard ]
  * altos: Make FAT test program link explicitly against libcrypto

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Aug 2013 16:07:25 +0200

altos (1.2.1-2) unstable; urgency=low

  [ Keith Packard ]
  * altosui: Add TeleBT firmware to release

 -- Bdale Garbee <bdale@gag.com>  Tue, 21 May 2013 12:53:15 -0600

altos (1.2.1-1) unstable; urgency=low

  [ Mike Beattie ]
  * altosui: remove un-used imports
  * altosui: comment out un-used fields and methods
  * altosui: comment out un-used classes and associated imports
  * altosui: remove redundant catches
  * altosui: access class variables by class, not instance
  * altosui: comment out/remove dead code
  * altosui: add type to … implements Comparable.
  * altosui: comment out obsolete code - could probably remove the file.
  * altoslib/altosui: begin moving preferences "backend" into interface
  * altosui: add missing methods for Backend, fix BT code.
  * altosui/altoslib: add methods to interface, fix imports/exceptions in BT code
  * altoslib: Add AltosPreferencesBackend.java to Makefile.am
  * altosui/altoslib: Add call to …Preferences.init() with backend object, remove static init()
  * altosui/altoslib: bug fixes, update Makefile.am
  * altosui: add missing try/catch
  * altosui: Add return to try/catch.. duh
  * altosui: revert AltosUIPreferences init() method
  * altosui: remove un-used import
  * altosdroid: implement AltosPreferencesBackend, and initialize.
  * altosdroid: Update Makefile.am
  * altosdroid: simplify keys() method
  * altosdroid: cosmetic re-order of methods
  * altos{lib,ui,droid}: move OS specific code out of altoslib
  * altoslib: make parts of AltosLog public for usage outside altoslib.
  * altosdroid: initial implementation of telemetry logging.
  * altosdroid: add autogenerated BuildInfo.java
  * altosdroid: match only the current version tag
  * altosdroid: Add branch to BuildInfo
  * altosdroid: Add version information to UI
  * altosdroid: more reliable branch detection
  * altosdroid: more restrictive commit no. matching
  * altosdroid: initial release to Play Store
  * all: clean up .gitignore files and Makefile clean targets
  * altosdroid: excise old code/xml
  * altosdroid: update copyrights/licensing
  * altosdroid: minor whitespace cleanup
  * altosdroid: Fix up some formatting in manifest
  * altosdroid: Only update BuildInfo.java when other source files change
  * altosdroid: use a glob for source files
  * altosdroid: adjust Makefile rules
  * altosdroid: Adjust build system for GMaps & Tabs support
  * altosdroid: Symlink red/green/gray LEDs via build system
  * altosdroid: adjust release Makefile target
  * altosdroid: convert spaces to tabs in strings.xml
  * altosdroid: make AltosDroid.pos() static
  * altosdroid: whitespace cleanup
  * altosdroid: Import initial versions of XML and Java for Tab content
  * altosdroid: implement tabs interface
  * altosdroid: implement UI updating on tabs
  * altosdroid: implement Age field updating
  * altosdroid: Auto tab changing
  * altosdroid: fix side-to-side scrolling in map tab
  * ao-tools: Add ao-edit-telem to .gitignore
  * altosdroid: adjust clean targets to get rid of automake warning
  * altosdroid: Add SDK checks to configure.ac
  * altosdroid: programmatically create map fragment
  * altosdroid: Add rocket and pad map markers
  * altosdroid: Add map polyline between pad and rocket
  * altosdroid: whitespace and import tidyup
  * altosdroid: incorrect property syntax in pad xml
  * altosdroid: Add filters for TeleBT bluetooth devices.
  * altosdroid: set tab height based on screen density.
  * altosdroid: check for mAltosVoice being null.
  * altosdroid: fix up 'send last' code.
  * altosdroid: Make the service class implement locationlistener
  * altosdroid: Release v1.2, push to play store.
  * altos: update .gitignore files
  * altosdroid: Bump APK version, and re-upload.

  [ Bdale Garbee ]
  * further refinment of Releasing document
  * remove local copy of launch-sites.txt and reference to old web location
  * let upstream version rule, don't force use of Debian version in firmware
  * update stlink-pins document to make it clear 4-pin MicroMaTch is our standard STM32L programming connector, and the big MM thing was v0.1 only
  * document what the 'Age' value in the AltosUI display means
  * document what the 'Age' value in the AltosUI display means
  * add pcb overall dimensions and screw sizes the holes are intended for
  * update copyright year to 2013
  * various updates to the text .. more SMA to BNC adapter references, etc
  * improve text in telebt turn-on script
  * document my snazzy new 4-pin to MM v0.1 debug cable
  * name change from MegaMetrum to TeleMega
  * document need for an ARM Cortex toolchain in /opt/cortex, point to build docs
  * point to pkgconfig content in /opt/cortex so stlink stuff works
  * add libssl-dev as a build dep since it's used in FAT filesystem test code
  * update ChangeLog for release
  * update changelog for Debian build
  * add sox as a build dependency
  * update Releasing document to reflect process as of 1.2
  * update configure.ac to reflect version 1.2.1
  * update changelog for 1.2.1 release
  * update Changelog for 1.2.1 release, again
  * unwind debian/changelog to last release

  [ Keith Packard ]
  * Bump revision to 1.2 development branch
  * altos: Shrink Pa to altitude table
  * altos: Provide MS5611 configuration option, HAS_MS5611
  * altos/megametrum: Commit for boards with MS5611 baro sensor
  * altos: Re-enable the ms5607 and mma655x acquisition threads
  * altos/megametrum: Use mma655x for acceleration measurements now
  * altos/megametrum: Make MS5607 driver hold SPI bus for whole operation
  * altos/drivers: Use data ring values for MS5607 presentation
  * altos/stm: Clean up SPI pin configuration code
  * altos/telefire: Make sure armed alarm goes off on time
  * altos/stm: Set SPI clock high for disabled SPI busses

